package org.rcisoft.business.cmsBanner.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.cmsBanner.entity.CmsBanner;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年3月30日 下午1:51:15.
 */
public interface CmsBannerService {

    /**
    * 保存 banner管理
    * @param cmsBanner
    * @return
    */
    CyPersistModel persist(CmsBanner cmsBanner);

    /**
    * 删除 banner管理
    * @param cmsBanner
    * @return
    */
    CyPersistModel remove(CmsBanner cmsBanner);

    /**
    * 逻辑删除 banner管理
    * @param cmsBanner
    * @return
    */
    CyPersistModel removeLogical(CmsBanner cmsBanner);

    /**
    * 修改 banner管理
    * @param cmsBanner
    * @return
    */
    CyPersistModel merge(CmsBanner cmsBanner);

    /**
    * 根据id查询 banner管理
    * @param id
    * @return
    */
    CmsBanner findById(String id);

    /**
    * 分页查询 banner管理
    * @param cmsBanner
    * @return
    */
    IPage<CmsBanner> findAllByPagination(CyPageInfo<CmsBanner> paginationUtility,
                                         CmsBanner cmsBanner);


    /**
    * 查询list banner管理
    * @param cmsBanner
    * @return
    */
    List<CmsBanner> findAll(CmsBanner cmsBanner);


    /**
    * 导出banner管理
    * @return
    */
    List<CmsBanner> export(CmsBanner cmsBanner);

}
